MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions
sc::NElFunctional Class Reference

The NElFunctional computes the number of electrons. More...

`#include <functional.h>`

Inheritance diagram for sc::NElFunctional:

List of all members.

## Public Member Functions

| NElFunctional (const Ref< KeyVal > &)
| NElFunctional (StateIn &)
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void | point (const PointInputData &, PointOutputData &)

## Detailed Description

The NElFunctional computes the number of electrons.

It is primarily for testing the integrator.

## Member Function Documentation

void sc::NElFunctional::save_data_state | ( | StateOut & |  | ) | `[virtual]`

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::DenFunctional.

The documentation for this class was generated from the following file:

- functional.h